This is an implementation (mainly Matlab Simulink) of the haptic interface for 
teleoperation described in 

Ghazaei Ardakani, M. M., M. Karlsson, K. Nilsson, A. Robertsson, 
and R.Johansson
(2018). “Master-slave coordination using virtual constraintsfor a redundant 
dual-arm haptic interface”. In:IEEE/RSJ Interna-tional Conference on Intelligent
Robots and Systems (IROS). October1–5, Madrid, Spain, pp. 8751–8757.

A video is available here:
https://www.youtube.com/watch?v=4u57bEA4bqg

Compile Simulink file:

Open teleoperation.mdl

Click on red box (you may have to adjust paths. You also need dynamics, see below.)

Press ctrl+B to build (c-code is generated and compiled)

An executable is generated into /tmp/$USER

You also need the robot dynamics for this. It is not public. Please contact
Congibotics to get the dynamics for ABB Frida (YuMi prototype).

See also wiki for info about Frida and force sensors:
https://sites.google.com/a/ulund.org/robotwiki/robots/frida